         implicit real*8 (a-h,o-z)
         parameter(IMAXGP=361,jmaxgp=325)
         include 'efild.h'
      IMAG=23                                                             EINPUT.14
      OPEN(IMAG,FILE='magnet.dat',FORM='UNFORMATTED')                     EINPUT.15
      DO I=1,IMAXGP*(JMAXGP+1)                                            EINPUT.16
       READ(IMAG)ALATM(I,0),ALONM(I,0),XB(I,0),YB(I,0),ZZB(I,0),          EINPUT.17
     1           BMOD(I,0)                                                EINPUT.18
       write(6,*)BMOD(I,0),i
      ENDDO                                                               EINPUT.1
         stop
         end
